using Kingdee.BOS.Core.DynamicForm.PlugIn;
using Kingdee.BOS.Core.DynamicForm.PlugIn.Args;
using Kingdee.BOS.Orm.DataEntity;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace LQKJ.K3.MFG.PRD.BusinessPlugIn
{
    [Kingdee.BOS.Util.HotUpdate]
    [Description("选择单据类型")]
    public class SelectBillTypePlugin : AbstractDynamicFormPlugIn
    {
        public override void BeforeDoOperation(BeforeDoOperationEventArgs e)
        {
            //确定
            if (e.Operation.FormOperation.Id == "PushDown")
            {

                //返回数据this.View.Model.GetValue("F_LQKJ_Combo");
                var type = this.View.Model.GetValue("F_LQKJ_Base") as DynamicObject;
                var ids=type["Id"].ToString();
                this.View.ReturnToParentWindow(ids);
                this.View.Close();
            }
            //取消
            if (e.Operation.FormOperation.Id == "Close")
            {
                this.View.Close();
            }
        }
    }
}
